Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.dtfj.image
Interface ImageThread

    public interface ImageThread

A low-level thread instance

Author:
  pburka

Method Summary
`java.lang.String` | `getID()` Fetch a unique identifier for the thread.
`java.util.Properties` | `getProperties()` Get the OS-specific properties for this thread.
`java.util.Iterator` | `getRegisters()` Get the register contents.
`java.util.Iterator` | `getStackFrames()` Get the set of stack frames on this thread.
`java.util.Iterator` | `getStackSections()` Get the set of image sections which make up the stack.

Method Detail

### getID

    java.lang.String getID()
                           throws CorruptDataException

  Fetch a unique identifier for the thread. In many operating systems, threads have more than one identifier (e.g. a thread id, a handle, a pointer to VM structures associated with the thread). In this case, one of these identifiers will be chosen as the canonical one. The other identifiers would be returned by getProperties()

  Returns:
    a process-wide identifier for the thread (e.g. a tid number)
  Throws:
    `CorruptDataException`

### getStackFrames

    java.util.Iterator getStackFrames()
                                      throws DataUnavailable

  Get the set of stack frames on this thread.

  Returns:
    an iterator to walk the native stack frames in order from top-of-stack (that is, the most recent frame) to bottom-of-stack. Throws DataUnavailable if native stack frames are not available on this platform.
  Throws:
    `DataUnavailable` - If native stack frames are not available on this platform
  See Also:
    `ImageStackFrame`, `CorruptData`

### getStackSections

    java.util.Iterator getStackSections()

  Get the set of image sections which make up the stack.

  Returns:
    a collection of ImageSections which make up the stack. On most platforms this consists of a single entry, but on some platforms the thread's stack may consist of non-contiguous sections
  See Also:
    `ImageSection`, `CorruptData`

### getRegisters

    java.util.Iterator getRegisters()

  Get the register contents.

  Returns:
    an iterator to iterate over the state of the CPU registers when the image was created. The collection may be empty if the register state is not available for this thread. If the CPU supports partial registers (e.g. AH, AL, AX, EAX, RAX on AMD64), only the largest version of the register will be included
  See Also:
    `ImageRegister`

### getProperties

    java.util.Properties getProperties()

  Get the OS-specific properties for this thread.

  Returns:
    a table of OS-specific properties for this thread. Values which are commonly available include
    - "priority" -- the priority of the thread
    - "policy" -- the scheduling policy of the thread

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD